Typedefs | Variables

# industry_type.h File Reference

Types related to the industry. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | IndustryID
typedef uint16 | IndustryGfx
typedef uint8 | IndustryType
## Variables
static const IndustryID | INVALID_INDUSTRY = 0xFFFF
static const IndustryType | NEW_INDUSTRYOFFSET = 37
| original number of industries
static const IndustryType | NUM_INDUSTRYTYPES = 64
| total number of industries, new and old
static const IndustryType | INVALID_INDUSTRYTYPE = NUM_INDUSTRYTYPES
| one above amount is considered invalid
static const IndustryGfx | INDUSTRYTILE_NOANIM = 0xFF
| flag to mark industry tiles as having no animation
static const IndustryGfx | NEW_INDUSTRYTILEOFFSET = 175
| original number of tiles
static const IndustryGfx | NUM_INDUSTRYTILES = 512
| total number of industry tiles, new and old
static const IndustryGfx | INVALID_INDUSTRYTILE = NUM_INDUSTRYTILES
| one above amount is considered invalid
static const int | INDUSTRY_COMPLETED = 3
| final stage of industry construction.

## Detailed Description

Types related to the industry.

Definition in file industry_type.h.